> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# List products

> Gets a list of products.



## OpenAPI

````yaml marketplace get /v1/retailers/{retailer_pk}/products/
openapi: 3.0.1
info:
  title: Dropship
  version: 1.0.0
  description: >-
    fabric Dropship is a simple, intuitive, dropship platform built for business
    users. It offers easy integration with Shopify, BigCommerce, or existing
    stacks; supports retailer onboarding; and offers dedicated vendor onboarding
    support.  With fabric Dropship, you can connect with new vendors with no
    inventory risk; offer extended aisles of products; expand assortments with
    existing vendors; test new categories, SKUs, and price points; explore brand
    partnerships; and increase marketing and search opportunities. Using
    dropshipping effectivity can fuel data-driven merchandising decisions,
    maximizing margin and customer experience.  Dropship assortment strategies
    enable you to: <br /> 1) Cross-sell and upsell to raise your average order
    value <br /> 2) Offer substitute products to supplement out-of-stock
    inventory <br /> 3) Capitalize on fast-moving market trends with readily
    sourceable products <br /> 4) Test and validate new products, brands, and
    categories before manufacturing or placing POs <br /> 5) Add depth to your
    existing product assortment with variations and endless aisles <br /> 6)
    Offer seasonal products without the risking of over-buying or unhealthy
    inventory.
  contact:
    email: support@fabric.inc
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
servers:
  - url: https://marketplace-api.fabric.inc
security:
  - Bearer: []
externalDocs:
  description: Find out more about Dropship
  url: https://developer.fabric.inc/docs/marketplace-suppliers-overview
paths:
  /v1/retailers/{retailer_pk}/products/:
    get:
      tags:
        - Products
      summary: List products
      description: Gets a list of products.
      operationId: v1_retailers_products_list
      parameters:
        - name: retailer_pk
          in: path
          required: true
          description: Retailer ID
          schema:
            type: number
          example: 1047
        - name: since
          in: query
          description: Past date till current (Unix epoch format)
          schema:
            type: number
          example: 1665550936
        - name: search
          in: query
          description: Search by variant ID, identifier, UPC, name, and retailer_identifier
          schema:
            type: string
          example: '12342'
        - name: search_id
          in: query
          description: Variant ID
          schema:
            type: number
          example: 100024
        - name: search_name
          in: query
          description: Search by name
          schema:
            type: string
          example: T-Shirt
        - name: search_upc
          in: query
          description: Search by UPC
          schema:
            type: string
          example: '555555555202'
        - name: search_sku
          in: query
          description: Search by SKU
          schema:
            type: string
          example: SKU123
        - name: retailer_sku
          in: query
          description: Retailer SKU
          schema:
            type: string
          example: RSKU123
        - name: product_search
          in: query
          description: Search by product name, identifier, or brand category
          schema:
            type: string
          example: DemoProd1
        - name: attribute
          in: query
          description: Product attributes
          schema:
            type: string
          example: Size
        - name: retailer_attribute
          in: query
          description: Retailer attribute
          schema:
            type: string
          example: Size
        - name: retailer_id
          in: query
          description: Retailer ID
          schema:
            type: number
          example: 206
        - name: brand_id
          in: query
          description: Vendor IDs. Multiple values may be added, separated by commas.
          schema:
            type: array
            items:
              type: number
          example: 1234
        - name: brand_code
          in: query
          description: Brand codes. Multiple values may be added, separated by commas.
          schema:
            type: array
            items:
              type: string
          example:
            - demo-brand1
            - demo-brand2
        - name: brand_category
          in: query
          description: Brand categories. Multiple values may be separated by commas.
          schema:
            type: array
            items:
              type: string
          example:
            - category 1
            - category 2
        - name: manufacturer_id
          in: query
          description: Manufacturer IDs. Multiple values may be separated by commas.
          schema:
            type: array
            items:
              type: number
          example:
            - 2056
            - 5898
        - name: connection_id
          in: query
          description: Connection ID.
          schema:
            type: number
          example: 1056
        - name: manufacturer_code
          in: query
          description: Manufacturer codes. Multiple values may be separated by commas.
          schema:
            type: array
            items:
              type: string
          example:
            - ManC-1
            - ManC-2
        - name: identifier
          in: query
          description: Stock Keeping Unit (SKU), unique identifier of a product
          schema:
            type: string
          example: 2341SD
        - name: parent_identifier
          in: query
          description: SKU of parent product
          schema:
            type: string
          example: Main-1
        - name: is_discontinued
          in: query
          description: '1: Product is discontinued <br /> 0: Product is not discontinued'
          schema:
            type: number
        - name: is_sellable
          in: query
          description: '1: Product is sellable <br /> 0: Product is not sellable'
          schema:
            type: number
          example: 1
        - name: in_stock
          in: query
          description: '1: Product is in stock <br /> 0: Product is out of stock'
          schema:
            type: number
        - name: taxonomy_id
          in: query
          description: Taxonomy ID
          schema:
            type: string
          example: Tax123
        - name: has_images
          in: query
          description: '1: Product has images <br /> 0: Product does not have images'
          schema:
            type: number
          example: 1
        - name: has_shipping
          in: query
          description: '1: Product has shipping <br /> 0: Product does not have shipping'
          schema:
            type: number
          example: 1
        - name: decision
          in: query
          description: Internal only
          schema:
            type: string
        - name: order_by
          in: query
          description: Sorting preference
          schema:
            type: string
          example: Ascending
        - name: page
          in: query
          description: Page number within the paginated result set
          schema:
            type: integer
          example: 2
        - name: limit
          in: query
          description: Number of records per page
          schema:
            type: integer
          example: 10
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                required:
                  - count
                  - results
                type: object
                properties:
                  count:
                    description: Total number of records
                    example: 100
                    type: integer
                  next:
                    description: Next page (applicable in a paginated response)
                    example: https://api.example.org/demo/{retailer_pk}/?page=5
                    type: string
                    format: uri
                    nullable: true
                  previous:
                    description: Previous page (applicable in a paginated response)
                    example: https://api.example.org/demo/{retailer_pk}/?page=3
                    type: string
                    format: uri
                    nullable: true
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/ProductShort'
components:
  schemas:
    ProductShort:
      required:
        - identifier
      type: object
      properties:
        id:
          description: Product ID
          example: 5678
          type: integer
          readOnly: true
        name:
          description: Product name
          example: Sample Product AYX
          maxLength: 200
          type: string
          nullable: true
        identifier:
          description: Stock Keeping Unit (SKU), unique identifier of a product
          example: SKU978
          maxLength: 128
          minLength: 1
          type: string
        brand:
          $ref: '#/components/schemas/BrandMini'
        brand_category:
          description: Brand category
          example: Category 78
          maxLength: 64
          minLength: 1
          type: string
          nullable: true
        brand_name:
          description: Brand name
          example: Sample Brand
          maxLength: 64
          minLength: 1
          type: string
          nullable: true
        parent_identifier:
          description: Parent identifier
          example: Main-1
          minLength: 1
          type: string
          readOnly: true
        parent_name:
          description: Parent name
          example: Main Sample
          minLength: 1
          type: string
          readOnly: true
        description:
          description: Product description
          example: Sample description of product
          type: string
          nullable: true
        rcn_status:
          description: Status of product in Dropship
          example: pending
          type: string
          enum:
            - not_published
            - pending
            - failed
            - expired
            - published
        published_at:
          description: Time of when product was first published
          example: '2022-09-10T15:24:56Z'
          type: string
          format: date-time
          nullable: true
        expires_at:
          description: Time of expiry (UTC format)
          example: '2022-11-10T15:24:56Z'
          type: string
          format: date-time
          nullable: true
        primary_media:
          $ref: '#/components/schemas/ProductImage'
        pricing:
          description: Product pricing
          example: '12.00'
          type: string
          readOnly: true
        num_variants:
          description: Number of product variants
          example: 2
          type: integer
          readOnly: true
        created_at:
          description: Time of product creation in Dropship
          example: '2022-07-10T15:24:56Z'
          type: string
          readOnly: true
        updated_at:
          description: Time of when product was last updated in Dropship
          example: '2022-08-10T15:24:56Z'
          type: string
          format: date-time
          readOnly: true
    BrandMini:
      required:
        - code
      type: object
      properties:
        id:
          description: Vendor ID
          example: 456
          type: integer
          readOnly: true
        code:
          description: Vendor code. Same as vendor name in lower case and hyphenated
          example: marla-store
          maxLength: 64
          minLength: 1
          pattern: ^[-a-zA-Z0-9_]+$
          type: string
          format: slug
        name:
          description: Vendor name
          example: Marla Store
          maxLength: 64
          minLength: 1
          type: string
    ProductImage:
      type: object
      properties:
        id:
          description: Product image ID
          example: 567
          type: integer
          readOnly: true
        width:
          description: Product image width
          example: 1
          maximum: 2147483647
          minimum: -2147483648
          type: integer
          nullable: true
        height:
          description: Product image height
          example: 1
          maximum: 2147483647
          minimum: -2147483648
          type: integer
          nullable: true
        media:
          description: Product image media
          type: string
          readOnly: true
        priority:
          description: Image priority
          example: 2
          maximum: 2147483647
          minimum: -2147483648
          type: integer
        url:
          description: Product image URL
          example: >-
            https://assets.demo.com/attachments/path_to_attachment/attachment.pdf
          type: string
          readOnly: true
        updated_at:
          description: Time of when product image was last updated
          example: '2022-09-10T15:24:56Z'
          type: string
          format: date-time
          readOnly: true
        created_at:
          description: Time of product image creation
          example: '2022-08-10T15:24:56Z'
          type: string
          format: date-time
          readOnly: true
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````